//---------------------------------------------------------------------------

#include <vcl.h>
#include <iostream>
#include <vector>
#include <algorithm>
#include <conio.h> //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

//       
class PrintInt {
  public:
    void operator() (int elem) const {
      cout << elem << ' ';
    }
};

int main(int argc, char* argv[])
{
  vector<int> coll;
  //      1  9
  for (int i=1; i<=9; ++i) {
    coll.push_back(i);
  }

  //   
  cout << ToRus(" :\n");
  for_each (coll.begin(),coll.end(), // 
    PrintInt()); // 
  cout << endl;

  getch();
  return 0;
}
//---------------------------------------------------------------------------
